Subject: bug#8890: 23.3; message writing slows emacs

From: Stefan Monnier <[email-masked]>
Date: Sat, 17 Sep 2011 17:06:46 -0400

> If it's been less than (say) 50th of a second since the previous
> message, then don't message anything.  However, set up a timer in a
> 100th of a second's time to display that message -- if nothing else has
> been displayed in the mean time.

That's much too tricky to implement.  Making it reliable is going to
be painful.  Much easier to allow progress-reporter-update to output
non-percentage messages (e.g. for bytecomp, the changing part is not
a percentage but a function name).

        Stefan